ham/fldigi - The NetBSD Packages Collection

Digital radio modem

Fldigi is a software modem for Amateur Radio use. It is a sound card based
program that is used for both transmitting and receiving data in any of the
following modes:

BPSK and QPSK        31, 63, 125, 250 (both), and 63F and 500 (BPSK only)
PSKR                 125, 250, and 500
CW                   speeds from 5 to 200 wpm
DominoEX             4, 5, 8, 11, 16 and 22; also with FEC
Hellschreiber        Feld Hell, Slow Hell, Hell x5/x9, FSKHell(-105) and Hell 80
MFSK                 4, 8, 11, 16, 22, 31, 32 and 64; most with image support
MT63                 500, 1000 and 2000
OLIVIA               various tones and bandwidths
RTTY                 various baud rates, shifts, nbr. of data bits, etc.
THOR                 4, 5, 8, 11, 16 and 22
Throb and ThrobX     1, 2, and 4
WWV                  receive only - calibrate your sound card to WWV
Frequency Analysis   receive only - measure the frequency of a carrier

Build dependencies

textproc/asciidoc pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

audio/libsamplerate audio/libsndfile audio/portaudio audio/pulseaudio graphics/png ham/hamlib ham/flxmlrpc textproc/xmlrpc-c x11/fltk13 sysutils/desktop-file-utils audio/libsamplerate audio/libsndfile audio/portaudio audio/pulseaudio graphics/png ham/hamlib textproc/xmlrpc-c x11/fltk13 sysutils/desktop-file-utils

Binary packages

OSArchitectureVersion
NetBSD 8.0i386fldigi-4.1.01nb11.tgz
NetBSD 8.0powerpcfldigi-4.1.01nb11.tgz
NetBSD 8.0x86_64fldigi-4.1.01nb11.tgz
NetBSD 8.0x86_64fldigi-4.1.01nb12.tgz
NetBSD 9.0aarch64fldigi-4.1.01nb14.tgz
NetBSD 9.0aarch64fldigi-4.1.01nb11.tgz
NetBSD 9.0aarch64fldigi-4.1.01nb12.tgz
NetBSD 9.0earmv7hffldigi-4.1.01nb11.tgz
NetBSD 9.0i386fldigi-4.1.01nb11.tgz
NetBSD 9.0i386fldigi-4.1.01nb12.tgz
NetBSD 9.0powerpcfldigi-4.1.01nb12.tgz
NetBSD 9.0sparc64fldigi-4.1.01nb11.tgz
NetBSD 9.0x86_64fldigi-4.1.01nb13.tgz
NetBSD 9.0x86_64fldigi-4.1.01nb13.tgz
NetBSD 9.0x86_64fldigi-4.1.01nb11.tgz
NetBSD 9.0x86_64fldigi-4.1.01nb12.tgz
NetBSD 9.0x86_64fldigi-4.1.01nb14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.